#!/usr/bin/env python
#
# Emanuele Faranda                                 <black.silver@hotmail.it>
#
#.....................P C I  B U S  S I M U L A T O R.......................
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
#...........................................................................
#

"""A program to simulate a real generic PCI Bus activity.

@CONSTRS
    PROJECT_NAME : the name of the project
    PROJECT_VERSION : the version of the project
    PROJECT_DEVELOPERS : names of the developers who contributed
    PROJECT_DESCRIPTION : a description for the project
    PROJECT_LICENCE : a short license notice
    PROJECT_COPYRIGHT : a short copyright notice
    PROJECT_WEBSITE : author website for more projects
"""

PROJECT_NAME = "PCI Bus Simulator"
PROJECT_VERSION = "1.0"
PROJECT_DEVELOPERS = ["Emanuele Faranda"]
PROJECT_DESCRIPTION = """Programma che simula il comportamento di un \
generico bus PCI per la ricerca di nuovi dispositivi e l'allocazione dello \
spazio d'indirizzamento necessario al funzionamento di questi.
"""
PROJECT_LICENCE = """PCI Bus Simulator
Copyright (C) 2014  Emanuele Faranda

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
PROJECT_COPYRIGHT = "(C) 2014 Emanuele Faranda <black.silver@hotmail.it>"
PROJECT_WEBSITE = "http://galileo.dmi.unict.it/utenti/emanuele-f"
